<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="bower_components/iron-ajax/iron-ajax.html">

<dom-module id="mi-componente">
  <template>
    <iron-ajax
   url="http://localhost:3000/data"
   auto
   handle-as="json"
   last-response="{{employees}}"></iron-ajax>

    <style>
      :host {
        display: block;
      }
      section{
        margin: 100px auto;
        width: 85%;
        height: 500px;
        border: 1px solid #008080;
      }
      div{
        background-color: #008080;
        height: 30px;
      }
      article{
        width: 90%;
        height: 300px;
        margin: 20px auto;
        overflow: scroll;
        border: 1px solid #DCDCDC;
      }
      label{
        margin-left: 10px;
      }
      input{
        width: 86%;
        margin-top: 20px;
      }
      button.btn-O, button.btn-C{
        width: 13%;
        margin-top: 10px;
        margin-right: 10px;
        float: right;
      }
      table{
        width: 100%;
        margin: 20px auto;
      }
      tr.tr-P{
        text-align: left;
        background-color: #f1f1f1;
      }
      #datosT tr:hover {
        background-color: #f1f1f1;
      }
  </style>
<section>
  <div>[[view]]</div>
    <p><label> Filter: </label>
      <input type="text" id="filterT" placeholder="Search for name..." value="{{searchString::input}}"></p>
    <article>
      <table id="datosT">
        <thead>
            <tr class="tr-P">
              <th>ID</th>
              <th>Name</th>
              <th>Salary</th>
              <th>Age</th>
            </tr>
        </thead>
        <template is="dom-repeat" items="{{employees}}" filter="{{filterT(searchString)}}">
          <tbody id="contenidoT">
              <tr>
                <td>{{item.id}}</td>
                <td>{{item.employee_name}}</td>
                <td>{{item.employee_salary}}</td>
                <td>{{item.employee_age}}</td>
              </tr>
          </tbody>
        </template>
      </table>
    </article>
    <button class="btn-O">Ok</button>
    <button class="btn-C">Cancel</button>
</section>
</template>

  <script>

    class MiComponente extends Polymer.Element {
      static get is() { return 'mi-componente'; }
      static get properties() {
        return {
          view: {
            type: String,
            value: 'View: SamplePage'
          },
          employees: {
            type: Array
          }
        };
      }
      constructor(){
        super();
      }
      filterT(string){
        if (!string) {
          return null;
        } else {
          string = string.toLowerCase();
          return function(employee) {
            var name = employee.employee_name.toLowerCase();
            return (name.indexOf(string) != -1);
          };
          }
        }

      }
    window.customElements.define(MiComponente.is, MiComponente);
  </script>
</dom-module>
